%define module_name WWW-ELISA
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/MD5.pm) perl(HTTP/Request.pm) perl(JSON/XS.pm) perl(LWP/UserAgent.pm) perl(Module/Build/Tiny.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: a module for working the the REST API ELi:SA (https://elisa.hbz-nrw.de/)
Group: Development/Perl
License: perl
URL: https://github.com/vpeil/perl-www-elisa

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VP/VPEIL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use WWWW::Elisa;

    my $api = WWW::ELISA->new(callerID => "user1", secret => "s3cret");

    my $data = {
        userID      => 'me@example.com',
        notepadName => "Wishlist_1",
        titleList => [
            {title => {isbn => "9780822363804", notiz => "WWW::ELISA Test",}},
            {title => {isbn => "9788793379312", notiz => "WWW::ELISA Test2",}}
        ];
    }

    $api->push($data);

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/W*

%changelog
* Wed Sep 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Sat Sep 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

